Retrieve groups

This operation returns an object containing information about all of the groups to which the current user belongs.

Query Params
int64

Offset begin showing results from item number n.

int64

Limit results to n number of items.

string

Sort order results by the given field.
Prefix the field name with '-' to order in descending order.
E.g., '-name' sorts results in descending order using the field 'name'

name
array of strings

Filter results to groups containing the specified names

name
id
array of int64s

Filter results to groups with the specified ids

id
createdStart
array of date-times

Filter results to groups that were created on or after the specified datetime

createdStart
createdEnd
array of date-times

Filter results to groups that were created on or before the specified datetime

createdEnd
client.id
array of int64s

Filter results to groups linked to the specified client ids

client.id
assetID
array of int64s

Filter results to groups containing the specified asset ids

assetID
client.name
array of strings

Filter results to groups linked to the specified client names

client.name
createdBy.id
array of int64s

Filter results to groups created by the specified user ids

createdBy.id
createdBy.name
array of strings

Filter results to groups created by the specified usernames

createdBy.name
siteID
array of int64s

Filter results to groups containing the specified site ids

siteID
applicationID
array of int64s

Filter results to groups containing the specified application ids

applicationID
fields
array of strings

Fields allows the user to specify optional fields returned in the groups response.
Currently, the supported options are assetIDs, client, onlyEditableGroups, createdBy, counts.

assetIDs which will return a list of asset ids associated with each group
client which will return client information of the group
onlyEditableGroups which will return the groups which can be edited by the user
createdBy which will return the information of the user the group was created by
counts which will return asset count associated with the group

fields
associatedToUserID
array of int64s

Filter results to groups that are associated to the given User IDs

associatedToUserID
Responses

401

UnauthorizedResponse signals an unauthorized API access

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized

500

GenericError generic error

Language
Response
Choose an example:
application/json